## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libshumate
Version:        1.0.0~alpha.1
Release:        %autorelease
Summary:        GTK widget to display maps

License:        LGPL-2.1-or-later
URL:            https://gitlab.gnome.org/GNOME/libshumate
Source0:        https://download.gnome.org/sources/libshumate/1.0/libshumate-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vapigen)

%description
libshumate is a GTK widget displaying interactive maps. Various map
sources can be used together with the possibility to draw custom
overlays, markers and lines on top of the maps. Bindings to other
languages are provided using GObject Introspection.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libshumate-%{tarball_version}


%build
%meson -Dlibsoup3=true
%meson_build


%install
%meson_install


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/girepository-1.0/Shumate-1.0.typelib
%{_libdir}/libshumate-1.0.so.1*

%files devel
%{_includedir}/shumate-1.0/
%{_libdir}/libshumate-1.0.so
%{_libdir}/pkgconfig/shumate-1.0.pc
%{_datadir}/doc/libshumate-1.0/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Shumate-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/shumate-1.0.deps
%{_datadir}/vala/vapi/shumate-1.0.vapi


%changelog
* Mon Aug 22 2022 Kalev Lember <klember@redhat.com> 1.0.0~alpha.1-1
- Initial Fedora packaging
